INFECT(1)

NAME
infect - insert malicious code into an existing binary

SYNOPSIS
infect FILENAME

DESCRIPTION
infect alters an executable file by inserting extra code to run before the original program, that when invoked creates a set-user-ID /bin/sh program.

infect only operates on 64-bit ELF executable files.

OPTIONS
None.

NOTES
In order to minimize the size of the code that needs to be inserted, infect relies on several non-portable aspects of Linux ELF executables. This program is therefore in no way guaranteed to function with future revisions of the Linux kernel. Then again, infect is not really meant to be used so much as its source code is meant to be read.

COPYRIGHT
Copyright © 2011 Brian Raiter <breadbox@muppetlabs.com>.

License GPLv2+: GNU GPL version 2 or later. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.